import click
import requests

from .helper import add_otp_options, make_request


@click.group()
def host():
    pass


@host.command('create')
@add_otp_options
@click.option('--hostname', required=True)
@click.option('--cpu', required=True, type=int)
@click.option('--ram', required=True)
@click.option('--os-ssd', required=True)
@click.option('--hdd', default=list(), multiple=True)
def create(**kwargs):
    kwargs['specs'] = {
        'cpu': kwargs.pop('cpu'),
        'ram': kwargs.pop('ram'),
        'os-ssd': kwargs.pop('os_ssd'),
        'hdd': kwargs.pop('hdd')
    }
    make_request('host', 'create', data=kwargs)


@host.command('list')
def list_host():
    make_request('host', 'list', request_method=requests.get)
